<div><div>
<span style= "display: inline-block;
width: 25px; height: 25px;
background-color: red;
color: black;
font-weight: bold;
font-size: 24px;
text-align: center;
line-height: 20px;
border: 2px solid black;
border-radius: 20%;
margin-right: 10px;">
!
</span>
<span><strong>As of December 4, 2024, X (formerly Twitter) is no longer supported. We apologise for any inconvenience.</strong></span>
</div></div>
GET https://services.leadconnectorhq.com/social-media-posting/oauth/{locationId}/twitter/accounts/{accountId}
Authorization
Path parameters
Responses
200 - Successful response
success (boolean, required): Success or Failure Example: True
statusCode (number, required): Status Code Example: 200
message (string, required): Message Example: Fetched Twitter Account
results (object): Requested Results
{
"success": true,
"statusCode": 200,
"message": "Fetched Twitter Account"
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);